Property Data
The PropEco Property Data API can be used to retrieve a wide range of information tied to a specific UK property.
You can access, test and subscribe to the API at www.propeco.io/api.
GET /properties?uprn={uprn}
📄❓ See Code Samples (page bottom) for an example request.
Retrieves information about a specific UK property, identified by its unique property reference number (UPRN).
Query Parameters
uprn string Required
The Unique Property Reference Number (UPRN) of the property.
Response
📄❓ See Code Samples (page bottom) for an example response.
An object containing a range of information about a UK property, as follows:
Location
"location": {
"x_coord": 202301,
"y_coord": 47402,
"latitude": 50.2933563,
"longitude": -4.7770112,
...
},
The geographical location of the property, provided in both WGS84 / EPSG:4326 and BNG / EPSG:27700 coordinate systems.
See API Reference → Coordinate Systems for more information about locations.
Admin Boundaries
{
"postcode": "SW6 2QT",
"census_output_area_code": "E00009707",
"county_code": "E13000001",
"county_electoral_division_code": "E99999999",
"local_authority_district_code": "E09000013",
"electoral_area_code": "E05013747",
"health_area_code": "E18000007",
"country_code": "E92000001",
"region_code": "E12000007",
"parliamentary_constituency_code": "E14001160",
"european_electoral_region_code": "E15000007",
"travel_to_work_area_code": "E30000234",
"itl_area_code": "E09000013",
"national_park_code": "E65000001",
"census_lower_layer_super_output_area_code": "E01035487",
"census_middle_layer_super_output_area_code": "E02000394",
"census_workplace_zone": "E33033988",
"ccg_lhb_chp_area_code": "E38000256",
"built_up_area_code": "E63012087",
"census_rural_urban_classification": "UN1",
"census_output_area_classification": null,
"local_enterprise_partnership_code": "E37000051",
"local_enterprise_partnership_secondary_code": null,
"police_force_area_code": "E23000001",
"electoral_area_name": "Sands End",
"local_authority_district_name": "Hammersmith and Fulham",
"county_name": "Hammersmith and Fulham",
"region_name": "London",
"country_name": "England"
}
An object containing the names and identifiers of various administrative boundaries and regions within which the property resides.
This combines data from sources including the Office for National Statistics and Ordnance Survey.
Elevation
{
"elevation_upper": 3.38,
"elevation_lower": -1.74,
"elevation_estimate": 1.4138392905671728,
"distance_from_upper": 264.82580663159666,
"distance_from_lower": 424.7964218305467,
"azimuth_ascending_degrees": 109.46256560940512,
"azimuth_descending_degrees": 56.639128942775336,
"is_above_high_tide_line": false
}
The API provides the elevation (height above sea level) for the property or location being searched for. This searches against topographic data provided by Ordnance Survey and provides the elevation of the closest contour lines, an estimate of the elevation of the property or location itself, and an indication of whether this is above the high tide line.
Planning Restrictions
The API provides information to help you determine whether a property is affected by any planning restrictions that could hinder upgrades such as adding an extension, incorporating solar panels or replacing windows. These include:
Conservation Areas
{
"in_conservation_area": true,
"conservation_area_area": 2273828.5525359632,
"conservation_area_proportion": 0.7284537903512821,
"nearest_conservation_area": {
"name": "No data available for publication by HE",
"distance": 0,
"nearest_point": null
}
}
These are areas that are deemed to have special architectural or historic interest. Properties or locations that fall within one will be subject to planning controls that are designed to preserve the character and appearance of the areas.
The API provides an assessment of whether or not the property or location sits within a conservation area. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a conservation area, both as a proportion and as an absolute value (in m²).
If a property or location is not within a conservation area, the API provides details of the closest one.
Listed Buildings
{
"nearest_listed_buildings": [
{
"distance": 272.65926201169736,
"x_coord": 525867.650000001,
"y_coord": 176425.638875,
"latitude": 51.472803363681365,
"longitude": -0.18910933363089522,
"name": "LANGFORD SCHOOL INCLUDING WALL, RAILINGS, GATES AND ENTRANCES, AND FORMER SCHOOL KEEPER'S HOUSE AND SPECIAL SCHOOL",
"grade": "II",
"date_listed": "2009-08-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393408"
},
{
"distance": 404.2988160209559,
"x_coord": 526507.3075,
"y_coord": 176502.818125004,
"latitude": 51.473354479784355,
"longitude": -0.17987667978798275,
"name": "CREMORNE BRIDGE, WEST LONDON EXTENSION RAILWAY BRIDGE",
"grade": "II*",
"date_listed": "2008-11-26T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393006"
},
{
"distance": 459.0246555692252,
"x_coord": 526003.950000001,
"y_coord": 176796.091750003,
"latitude": 51.47610236703256,
"longitude": -0.187015978762473,
"name": "FORMER LABORATORY AT THE IMPERIAL GAS WORKS",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392024"
},
{
"distance": 475.47437878733615,
"x_coord": 526020.825000001,
"y_coord": 176817.533625003,
"latitude": 51.47629131271065,
"longitude": -0.18676548323922187,
"name": "OFFICE BUILDING AT THE FORMER IMPERIAL GAS WORKS",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392025"
},
{
"distance": 494.79545054752094,
"x_coord": 526618.171500001,
"y_coord": 176441.524375001,
"latitude": 51.47277885538365,
"longitude": -0.17830319242949452,
"name": "Cremorne Bridge, West London Extension Railway Bridge, Battersea",
"grade": "II*",
"date_listed": "2008-11-26T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393005"
},
{
"distance": 495.9440400961927,
"x_coord": 525992.145,
"y_coord": 176831.109000001,
"latitude": 51.47641969688287,
"longitude": -0.1871734055456125,
"name": "WAR MEMORIAL",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392026"
},
{
"distance": 564.5638515564086,
"x_coord": 526042.855809047,
"y_coord": 176912.640515104,
"latitude": 51.47714114501708,
"longitude": -0.18641454604452504,
"name": "Gasholder No 2, Fulham Gasworks",
"grade": "II*",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1261959"
},
{
"distance": 654.1070248826896,
"x_coord": 526747,
"y_coord": 176575.000000002,
"latitude": 51.47394959321589,
"longitude": -0.17640147952629298,
"name": "OLD BATTERSEA HOUSE",
"grade": "II*",
"date_listed": "1954-06-28T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1065500"
},
{
"distance": 693.9798267983115,
"x_coord": 525549,
"y_coord": 176733.000000004,
"latitude": 51.47563638690696,
"longitude": -0.19358588507184643,
"name": "NOS 71 TO 77 INCLUDING IRON RAILINGS",
"grade": "II",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1192382"
},
{
"distance": 702.7560031786114,
"x_coord": 526776.000000001,
"y_coord": 176634.000000004,
"latitude": 51.47447333832597,
"longitude": -0.17596300838318335,
"name": "ST MARY'S VICARAGE (INCLUDING RAILINGS AND GATES)",
"grade": "II",
"date_listed": "1954-06-28T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1299844"
}
]
}
These are individual buildings that have been deemed to be of special architectural or historic interest. Listed buildings are classified into three grades:
- Grade I buildings are of exceptional interest.
- Grade II* buildings are particularly important buildings of more than special interest.
- Grade II buildings are of special interest warranting every effort to preserve them.
The API returns a list of the nearest listed buildings, with links to more information on each.
World Heritage Sites
{
"in_world_heritage_site": false,
"world_heritage_site_area": 0,
"world_heritage_site_proportion": 0,
"nearest_world_heritage_site": {
"name": "Palace of Westminster, Westminster Abbey and St. Margaret's Church",
"inscription_date": "1987-01-01T00:00:00.000Z",
"notes": "Core Area",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1000095",
"distance": 4821.2320112402185,
"nearest_point": {
"x_coord": 529916.025999069,
"y_coord": 179341.277999882,
"latitude": 51.49809161098811,
"longitude": -0.12978059568154365
}
}
}
World Heritage Sites are sites, places, monuments or buildings of ‘outstanding universal value’ to all humanity. Planning policies in such locations therefore place great weight on preserving their character.
The API provides an assessment of whether or not a property or location sits within a World Heritage Site. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a World Heritage Site, both as a proportion and as an absolute value (in m²).
If a property or location is not within a World Heritage Site, the API provides details of the closest one.
National Parks
{
"in_national_park": false,
"national_park_area": 0,
"national_park_proportion": 0,
"nearest_national_park": {
"code": "E26000010",
"name": "South Downs",
"distance": 52414.49214631459,
"nearest_point": {
"x_coord": 496678.7996,
"y_coord": 132997.799000001,
"latitude": 51.088152792361065,
"longitude": -0.6209624707641703
}
}
}
These are designated areas of natural beauty and ecological significance within the UK that provide habitats to a wide array of plant and animal species. As with world heritage sites, planning policies in these locations place significant weight on preserving their existing character, and conserving their natural landscape and ecosystem.
The API provides an assessment of whether or not the property or location sits within a national park. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a national park, both as a proportion and as an absolute value (in m²).
If a property or location is not within a national park, the API provides details of the closest one.
Environment
Air Quality
{
"benzene": {
"percentile": 99.79404010921759,
"value": 0.6817068
},
"no2": {
"percentile": 99.90388538430153,
"value": 20.37211
},
"nox": {
"percentile": 99.89957003420896,
"value": 30.03811
},
"pm2.5": {
"percentile": 99.8356237470724,
"value": 8.446545
},
"pm10": {
"percentile": 96.75680552994669,
"value": 14.2705
},
"so2": {
"percentile": 98.54808084612246,
"value": 2.842329
}
}
The API provides UK government estimates of the average concentrations (µg/m3) of common air pollutants (including benzene, nitrogen oxides, particulate matter and sulphur dioxide) at the property or location over the past year.
For each pollutant, a UK-wide percentile is provided to enable you to determine how polluted the location is relative to others in the country.
Greenspace
{
"greenspace_area": 249521.6226683189,
"greenspace_proportion": 0.0799378527,
"nearest_greenspace_point": {
"distance": 64.43658122526742,
"x_coord": 526192.63,
"y_coord": 176336.19,
"latitude": 51.471927175308295,
"longitude": -0.1844645464039543,
"function": "Public Park Or Garden",
"name": null
}
}
The API searches against Ordnance Survey datasets to determine the nearest publicly-accessible greenspace, as well as the amount of greenspace coverage in the locality. The following information is provided for a given property or location:
- Greenspace coverage within a 1km radius, both as a proportion and an absolute value (in m²)
- The distance to and location of the nearest publicly-accessible greenspace site.
Landslides
"landslides": [
{
"distance": 622.0940443373494,
"x_coord": 357684,
"y_coord": 172561,
"latitude": 51.45044033489425,
"longitude": -2.6103456261703966,
"name": "Hotwell Road"
},
...
]
The API integrates the British Geological Survey’s National Landslide Database (NLD) to determine if there is a record of any landslides near the property or location being searched for.
The NLD is the most extensive source of information on landslides in Great Britain, with more than 18,000 records.
The API returns details of any landslides recorded within 1km of the property or location being searched for. An empty array means that no records exist.
Radon Exposure
{
"radon_class": 1,
"radon_affected_area": false,
"radon_exceeding_action_level_min_likelihood": 0,
"radon_exceeding_action_level_max_likelihood": 0.01
}
The API integrates data from the British Geological Survey to provide an indicative assessment of whether or not a property or location lies within a radon affected area.
Radon is a colourless, odourless radioactive gas that occurs naturally throughout the UK. In some places, radon concentrations are high enough to pose a potential health risk. If a property or location is within such a 'radon affected area', it should be tested and, if necessary, steps taken to reduce its exposure.
The radon class specified will be one of the following:
- 1: The property or location is in an area where less than 1% of homes are estimated to equal or exceed safe levels. The property or location is not in a radon affected area.
- 2: The property or location is in a radon affected area where 1%-3% of homes are estimated to equal or exceed safe levels.
- 3: The property or location is in a radon affected area where 3%-5% of homes are estimated to equal or exceed safe levels.
- 4: The property or location is in a radon affected area where 5%-10% of homes are estimated to equal or exceed safe levels.
- 5: The property or location is in a radon affected area where 10%-30% of homes are estimated to equal or exceed safe levels.
- 6: The property or location is in a radon affected area where 30% or more of homes are estimated to equal or exceed safe levels.
Subsidence
{
"collapsible_deposits": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating"
},
"compressible_ground": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"landslides": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"running_sand": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell": {
"class": 3,
"legend": "Significant",
"advisory": "Areas of localised significant rating."
},
"soluble_rocks": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell_2050_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2080_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2070_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_medium_emissions": {
"class": "Possible",
"legend": "It is possible that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
}
}
The API response includes a generalised overview of susceptibility to the following six naturally occurring geohazards:
- Collapsible deposits
- Compressible ground
- Landslides
- Running sand
- Shrink–swell
- Soluble rocks
The assessments, which are provided by the British Geological Survey, place risks into one of three classes: Low, Moderate and Significant.
In addition, the API response provides an indicative assessment of potential change in subsidence risk due to climate change. Assessments are provided for two time periods (2030s and 2070s) under a high emissions scenario and three (2030s, 2050s and 2080s) under a medium emissions scenario. Assessments can be one of: Improbable, Possible, Probable or Unavailable.
Transportation
EV Charging Points
{
"nearest_charging_points": [
{
"distance": 24.300398212285252,
"x_coord": 526149.9207485385,
"y_coord": 176370.27343384735,
"latitude": 51.472243,
"longitude": -0.185067,
"name": "Tynemouth Street"
},
{
"distance": 24.933474857774584,
"x_coord": 526121.7213066816,
"y_coord": 176378.14261359192,
"latitude": 51.47232,
"longitude": -0.18547,
"name": "Tynmouth Street"
},
{
"distance": 32.2742501894088,
"x_coord": 526132.8208975578,
"y_coord": 176322.782356649,
"latitude": 51.47182,
"longitude": -0.18533,
"name": "Lindrop Street"
},
{
"distance": 57.530020490303876,
"x_coord": 526074.6282859455,
"y_coord": 176343.59510883188,
"latitude": 51.47202,
"longitude": -0.18616,
"name": "Lindrop Road"
},
{
"distance": 74.386387679891,
"x_coord": 526158.5241039438,
"y_coord": 176424.11900597543,
"latitude": 51.472725,
"longitude": -0.184924,
"name": "Elbe Street"
},
{
"distance": 78.57274521357323,
"x_coord": 526076.4215237667,
"y_coord": 176411.51444497233,
"latitude": 51.47263,
"longitude": -0.18611,
"name": "Tynmouth Street"
},
{
"distance": 86.79300552321156,
"x_coord": 526045.0100863599,
"y_coord": 176366.67361626908,
"latitude": 51.472234,
"longitude": -0.186578,
"name": "suby1100007179"
},
{
"distance": 88.85030848038176,
"x_coord": 526114.0300682702,
"y_coord": 176267.79436360375,
"latitude": 51.47133,
"longitude": -0.18562,
"name": "Glenrosa Street"
},
{
"distance": 89.33838258294242,
"x_coord": 526156.1746027804,
"y_coord": 176269.28351075877,
"latitude": 51.471334,
"longitude": -0.185013,
"name": "Townmead Road"
},
{
"distance": 93.43933046161797,
"x_coord": 526148.5119337098,
"y_coord": 176446.79263576196,
"latitude": 51.472931,
"longitude": -0.18506,
"name": "Elbe Street"
}
]
}
The API integrates the National Chargepoint Registry to determine if there are EV charging points installed near the property or location being searched for.
The API returns details of the 10 closest EV charging points (within a 1km radius). An empty array means that no records exist.
Low Emission Zones
{
"in_low_emission_zone": true,
"low_emission_zone_area": 3121445.152257984,
"low_emission_zone_proportion": 1,
"nearest_low_emission_zone": {
"name": "London_ULEZ",
"url": "https://tfl.gov.uk/modes/driving/ultra-low-emission-zone",
"distance": 0,
"nearest_point": null
}
}
Low Emission Zones (LEZ) are urban areas in which restrictions on the type of vehicle that can enter are in place. Motorists driving older and / or more polluting vehicles may need to pay a fee in order to drive within these.
The API checks if the property or location is within an active or planned LEZ. If not, details of the closest LEZ are provided.
Airports
{
"name": "London City Airport",
"distance": 17145.32305869944,
"azimuth_degrees": 76.4380036982832,
"x_coord": 542798.2557996714,
"y_coord": 180375.5331606008,
"latitude": 51.50428,
"longitude": 0.0561
}
The API provides the name and location of the closest airport, alongside its distance from the property or location being searched for.
Flood Risk
Depending on the specific location you search for, the API response will include the following assessments of flood risk:
England
{
"rivers_and_seas": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.001,
"flood_risk_description": "Very low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
}
}
}
Rivers and seas: This outlines the current chance of flooding from rivers and the sea, taking account of flood defences and the condition they are in.
Assessments utilise the results of the Environment Agency's most recent National Flood Risk Assessment (NaFRA) - undertaken using modelling and local expertise - that splits affected areas into 2m x 2m cells and allocates each one of four flood risk likelihood categories:
- High: each year, there is a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, there is a chance of flooding of between 1 in 30 (3.3%) and 1 in 100 (1%).
- Low: each year, there is a chance of flooding of between 1 in 100 (1%) and 1 in 1000 (0.1%).
- Very Low: each year, there is a chance of flooding of less than 1 in 1000 (0.1%).
You can find out more about the National Flood Risk Assessment here.
Scotland
{
"coast": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 421.2469221309678,
"nearest_point": {
"x_coord": 326055.0019,
"y_coord": 676052.0011,
"latitude": 55.97174070353001,
"longitude": -3.1863387889073214
}
},
"highest_risk_flood_zone_within_50m": null
},
"rivers": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"annual_flood_risk": 0.005,
"flood_risk_description": "Medium",
"distance": 350.891721190455,
"nearest_point": {
"x_coord": 325875,
"y_coord": 676070,
"latitude": 55.97187460968184,
"longitude": -3.1892269352515994
}
},
"highest_risk_flood_zone_within_50m": null
}
}
The API utilises the latest flood risk assessments provided by the Scottish Environment Protection Agency (SEPA). These identify locations at risk from coastal and / or river flooding and categorise at-risk locations according to their likelihood of flooding:
- High: Each year this area has a 10% chance of flooding.
- Medium: Each year this area has a 0.5% chance of flooding.
- Low: Each year this area has a 0.1% chance of flooding.
You can find out more about the underlying data here.
Wales
{
"coast": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 26.245704515367727,
"nearest_point": {
"x_coord": 317563.999999993,
"y_coord": 173205.999999667,
"latitude": 51.451813266893716,
"longitude": -3.1877535171885167
}
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": null,
"min_annual_flood_risk": 0.033,
"flood_risk_description": "High",
"distance": 40.64033743325234,
"nearest_point": {
"x_coord": 317531.599999993,
"y_coord": 173174.879999667,
"latitude": 51.451528788200136,
"longitude": -3.188212433602248
}
}
},
"rivers": {
"in_flood_risk_zone": false,
"annual_flood_risk": 0,
"flood_risk_description": null,
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.01,
"min_annual_flood_risk": 0.001,
"flood_risk_description": "Low",
"distance": 62.777570827507915,
"nearest_point": {
"x_coord": 317555.339999993,
"y_coord": 173154.104099667,
"latitude": 51.451345479126445,
"longitude": -3.1878660137358787
}
},
"highest_risk_flood_zone_within_50m": null
}
}
The API utilises the latest flood risk assessments provided by Natural Resources Wales (NRW). These identify locations at risk from coastal and / or river flooding. At-risk areas are categorised according to their likelihood of flooding:
For rivers, surface water and small watercourses:
- High: each year, an area has a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, an area has a chance of flooding of between 1 in 100 (1%) and 1 in 30 (3.3%).
- Low: each year, an area has a chance of flooding of between 1 in 1000 (0.1%) and 1 in 100 (1%).
For the sea:
- High: each year, an area has a chance of flooding of greater than 1 in 30 (3.3%).
- Medium: each year, an area has a chance of flooding of between 1 in 200 (0.5%) and 1 in 30 (3.3%).
- Low: each year, an area has a chance of flooding of between 1 in 1000 (0.1%) and 1 in 200 (0.5%).
You can find out more about the underlying data here.
General features
For each type of flooding, if the location in question is not deemed to be at risk, the API provides details of the nearest flood zone (within 1km for rivers and seas, and within 250m for surface water). If none are found, this will be returned as null.
In addition, the API provides details of the highest risk flood zone within a 50m radius of the point being searched for. If none are found, this will be returned as null.
Note that the approach to assigning risk descriptions (such as 'High' or 'Low') differs between the flood risk datasets covering England, Wales and Scotland. The API presents these as they are used in the underlying datasets.
Note also that flood modelling is inherently uncertain and so the assessments provided should be treated as indicative.
More information about the flood risk associated with a property or location (including surface water and future flood risk) is available through our flood risk endpoint.
Climate
Historical Trends
{
"average_rainfall": {
"percentile": 5,
"value": 630.878136
},
"average_sunshine": {
"percentile": 79,
"value": 1627.568507
},
"average_temperature": {
"percentile": 99,
"value": 12.41175113
},
"highest_rainfall": {
"percentile": 27,
"value": 48.36213045
},
"maximum_temperature": {
"percentile": 98,
"value": 40.03483407
},
"highest_wind_speed": {
"percentile": 1,
"value": 4.461679503
},
"minimum_temperature": {
"percentile": 3,
"value": -5.336074282
}
}
The API leverages MetOffice climate data to provide assessments of the following:
- Average annual temperature (°C)
- Highest daily temperature (°C)
- Lowest daily temperature (°C)
- Average annual rainfall (mm)
- Highest daily rainfall (mm)
- Average annual sunshine (hours)
- Highest monthly wind speed (metres per second)
Each assessment is based on data covering the past 10 years. UK-wide percentiles are also provided for each measure.
Future Projections
{
"annual_hot_days": {
"baseline_hot_days": 2.4,
"upper_recent_hot_days": 8.6,
"upper_recent_hot_days_change": 6.199999999999999,
"upper_recent_hot_days_change_relative": 2.583333333333333,
"lower_recent_hot_days": 4.6,
"lower_recent_hot_days_change": 2.1999999999999997,
"lower_recent_hot_days_change_relative": 0.9166666666666666,
"upper_hot_days": 42.1,
"upper_hot_days_change": 39.7,
"upper_hot_days_change_relative": 16.541666666666668,
"lower_hot_days": 7.6,
"lower_hot_days_change": 5.2,
"lower_hot_days_change_relative": 2.166666666666667
},
"maximum_temperature": {
"baseline_maximum_temperature": 30.93,
"upper_recent_maximum_temperature": 33.95,
"upper_recent_maximum_temperature_change": 3.020000000000003,
"upper_recent_maximum_temperature_change_relative": 0.09763983187843528,
"lower_recent_maximum_temperature": 31.64,
"lower_recent_maximum_temperature_change": 0.7100000000000009,
"lower_recent_maximum_temperature_change_relative": 0.02295505981247982,
"upper_maximum_temperature": 39.08,
"upper_maximum_temperature_change": 8.15,
"upper_maximum_temperature_change_relative": 0.2634982217911413,
"lower_maximum_temperature": 31.88,
"lower_maximum_temperature_change": 0.95,
"lower_maximum_temperature_change_relative": 0.03071451665050113
},
"summer_precipitation": {
"baseline_summer_precipitation": 1.53,
"upper_recent_summer_precipitation": 1.67,
"upper_recent_summer_precipitation_change": 0.1399999999999999,
"upper_recent_summer_precipitation_change_relative": 0.09150326797385615,
"lower_recent_summer_precipitation": 1.34,
"lower_recent_summer_precipitation_change": -0.18999999999999995,
"lower_recent_summer_precipitation_change_relative": -0.12418300653594767,
"upper_summer_precipitation": 1.2452670000000001,
"upper_summer_precipitation_change": -0.28473299999999996,
"upper_summer_precipitation_change_relative": -0.1861,
"lower_summer_precipitation": 1.320237,
"lower_summer_precipitation_change": -0.20976300000000003,
"lower_summer_precipitation_change_relative": -0.1371
},
"winter_precipitation": {
"baseline_winter_precipitation": 1.65,
"upper_recent_winter_precipitation": 1.97,
"upper_recent_winter_precipitation_change": 0.32000000000000006,
"upper_recent_winter_precipitation_change_relative": 0.193939393939394,
"lower_recent_winter_precipitation": 1.64,
"lower_recent_winter_precipitation_change": -0.010000000000000009,
"lower_recent_winter_precipitation_change_relative": -0.006060606060606067,
"upper_winter_precipitation": 2.080485,
"upper_winter_precipitation_change": 0.43048499999999995,
"upper_winter_precipitation_change_relative": 0.2609,
"lower_winter_precipitation": 1.4754299999999998,
"lower_winter_precipitation_change": -0.17457,
"lower_winter_precipitation_change_relative": -0.1058
}
}
The API integrates the MetOffice's UK Climate Projections (UKCP18) to provide the following projections:
Annual hot days. The number of days in which the maximum temperature exceeds 30°C that could occur each year. At such temperatures heat related illness, power cuts and transport disruption (due to overheating of infrastructure) become more likely.
Maximum temperature. Maximum daily air temperature (°C).
Winter precipitation. Average precipitation rates (mm/day) during December, January and February.
Summer precipitation. Average precipitation rates (mm/day) during June, July and August.
Projections are based on a high emissions scenario (RCP 8.5) and consider a range of plausible conditions which could occur in the future, namely global warming levels of 1.5°C, 2.0°C, 2.5°C, 3.0°C, 4.0°C above the pre-industrial (1850-1900) period. The range of possible outcomes reflects the uncertainty that is inherent in predicting climatic changes. The larger the difference between the lower and upper projections, the greater the level of uncertainty.
For each measure, the API provides:
-
Values for the 1981-2000 baseline (corresponding to 0.51°C warming).
-
Estimated upper and lower values for the range of plausible future warming levels (1.5°C - 4.0°C), as well as the absolute and percentage change (relative to the baseline) that these represent.
-
Estimated upper and lower values for the recent past (2001-2020), which corresponds to 0.87°C warming.
Note that the world warmed by around 1.1°C between 1850–1900 and 2011–2020.
Social Factors
House Price Index
{
"date": "2026-01-07T00:00:00.000Z",
"region_name": "Hammersmith and Fulham",
"average_price": 738048,
"average_price_seasonally_adjusted": null,
"house_price_index": 87.4,
"house_price_index_seasonally_adjusted": null,
"percentage_change_1_month": 1.4,
"percentage_change_12_months": -9,
"sales_volume": null,
"average_price_detached": 1716974,
"house_price_index_detached": 89.9,
"percentage_change_1_month_detached": 2.3,
"percentage_change_12_months_detached": -6.1,
"average_price_semi_detached": 1503460,
"house_price_index_semi_detached": 91.5,
"percentage_change_1_month_semi_detached": 3.2,
"percentage_change_12_months_semi_detached": -4.4,
"average_price_terraced": 1139759,
"house_price_index_terraced": 91.6,
"percentage_change_1_month_terraced": 2.1,
"percentage_change_12_months_terraced": -6.7,
"average_price_flat": 568235,
"house_price_index_flat": 85.7,
"percentage_change_1_month_flat": 1,
"percentage_change_12_months_flat": -10,
"average_price_cash": 736198,
"house_price_index_cash": 87.4,
"percentage_change_1_month_cash": 1.4,
"percentage_change_12_months_cash": -9,
"sales_volume_cash": null,
"average_price_mortgage": 738831,
"house_price_index_mortgage": 87.5,
"percentage_change_1_month_mortgage": 1.4,
"percentage_change_12_months_mortgage": -9,
"sales_volume_mortgage": null,
"average_price_first_time_buyer": 629368,
"house_price_index_first_time_buyer": 86.6,
"percentage_change_1_month_first_time_buyer": 1.2,
"percentage_change_12_months_first_time_buyer": -9.4,
"average_price_former_owner_occupier": 908993,
"house_price_index_former_owner_occupier": 88.9,
"percentage_change_1_month_former_owner_occupier": 1.5,
"percentage_change_12_months_former_owner_occupier": -8.2,
"average_price_new": null,
"house_price_index_new": null,
"percentage_change_1_month_new": null,
"percentage_change_12_months_new": null,
"sales_volume_new": null,
"average_price_existing": null,
"house_price_index_existing": null,
"percentage_change_1_month_existing": null,
"percentage_change_12_months_existing": null,
"sales_volume_existing": null
}
This provides information on monthly property price changes, calculated using data from HM Land Registry, Registers of Scotland, and Land and Property Services Northern Ireland.
Fuel poverty
{
"lower_layer_super_output_area": {
"lower_layer_super_output_area_code": "E01035487",
"lower_layer_super_output_area_name": "Hammersmith and Fulham 023H",
"household_count": 809,
"fuel_poor_household_count": 60,
"fuel_poor_household_percentage": 7
},
"local_authority": {
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"household_count": 88809,
"fuel_poor_household_count": 8657,
"fuel_poor_household_percentage": 9.747885912463827
},
"region": {
"region_code": "E12000007",
"region_name": "London",
"household_count": 3731959,
"fuel_poor_household_count": 359488,
"fuel_poor_household_percentage": 9.632688890740761
}
}
The API provides fuel poverty statistics for the relevant region, local authority and LSOA. Note that this is currently only available for properties or locations in England.
Healthcare facilities
{
"nearest_hospital": {
"distance": 1381.4277835797047,
"azimuth_degrees": 16.935743411464543,
"x_coord": 526355.3334399035,
"y_coord": 177718.09105674824,
"latitude": 51.484310150146484,
"longitude": -0.1816297024488449,
"name": "Chelsea and Westminster Hospital",
"url": "http://www.chelwest.nhs.uk",
"address1": "369 Fulham Road",
"address2": null,
"address3": null,
"postcode": "SW10 9NH"
},
"nearest_gp_practice": {
"distance": 434.0683257660047,
"azimuth_degrees": 279.592346553228,
"x_coord": 525709.3269117592,
"y_coord": 176457.99086409376,
"latitude": 51.47312927246094,
"longitude": -0.1913762241601944,
"name": "Sands End Health Clinic",
"url": null,
"address1": "1 BROUGHTON ROAD APPROACH",
"address2": null,
"address3": null,
"postcode": "SW6 2FE"
},
"nearest_dentist": {
"distance": 681.5908793608703,
"azimuth_degrees": 301.55272328538643,
"x_coord": 525633.340821908,
"y_coord": 176820.7268183052,
"latitude": 51.47640609741211,
"longitude": -0.1923409402370453,
"name": "New Kings Rd Dental Practice",
"url": "http://www.newkingsroaddental.com/",
"address1": "59 New Kings Road",
"address2": "London",
"address3": "London",
"postcode": "SW6 4SE"
}
}
The API provides the names and locations of the closest NHS hospital, GP practice and dentist, alongside the distance between each and the property or location.
Note that this data is currently unavailable for locations in Wales.
Defibrillators
[
{
"distance": 235.07416912822993,
"azimuth_degrees": 61.08598126721924,
"x_coord": 526303.1706507438,
"y_coord": 176515.0535285888,
"latitude": 51.47351,
"longitude": -0.18281,
"location_name": "St George West London",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 245.9736845902887,
"azimuth_degrees": 71.2084966660904,
"x_coord": 526344.0110737708,
"y_coord": 176478.00136569107,
"latitude": 51.4731679,
"longitude": -0.1822355,
"location_name": null,
"availability": "24/7 Access",
"access_type": "Public"
},
{
"distance": 245.9736845902887,
"azimuth_degrees": 71.2084966660904,
"x_coord": 526344.0110737708,
"y_coord": 176478.00136569107,
"latitude": 51.4731679,
"longitude": -0.1822355,
"location_name": "Tesco Express",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 296.97392467090833,
"azimuth_degrees": 162.66725601637975,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 296.97392467090833,
"azimuth_degrees": 162.66725601637975,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 360.73572032336443,
"azimuth_degrees": 332.1803354451811,
"x_coord": 526009.6531294279,
"y_coord": 176694.71340409148,
"latitude": 51.47519,
"longitude": -0.18697,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 393.2161857435855,
"azimuth_degrees": 269.89929251781257,
"x_coord": 525737.9329731906,
"y_coord": 176344.17035707302,
"latitude": 51.4721,
"longitude": -0.191005,
"location_name": "L'ecole Des Petits",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 398.9406564306313,
"azimuth_degrees": 348.2812573032834,
"x_coord": 526069.9722823373,
"y_coord": 176749.2451839021,
"latitude": 51.47566666,
"longitude": -0.186082495,
"location_name": "Kings Road Park",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 412.61979435181905,
"azimuth_degrees": 277.85397144271155,
"x_coord": 525726.0143506106,
"y_coord": 176434.0045472078,
"latitude": 51.47291,
"longitude": -0.1911446,
"location_name": "Howdens At Fulham",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 415.3016841412404,
"azimuth_degrees": 40.21386779514243,
"x_coord": 526315.749994361,
"y_coord": 176726.94479218562,
"latitude": 51.47541148,
"longitude": -0.182553342,
"location_name": "The Design Studios - Chelsea Harbour",
"availability": "24/7 Access",
"access_type": "Public"
}
]
The API provides the location of the closest defibrillators (up to 10) within a 1km radius of the property or location.
Indices of deprivation
{
"lsoa_code": "E01035487",
"lsoa_name": "Hammersmith and Fulham 023H",
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"index_of_multiple_deprivation_score": 20.633,
"index_of_multiple_deprivation_rank": 14227,
"index_of_multiple_deprivation_decile": 5,
"income_score": 0.297,
"income_rank": 9684,
"income_decile": 3,
"employment_score": 0.133,
"employment_rank": 13364,
"employment_decile": 4,
"education_skills_and_training_score": 9.443,
"education_skills_and_training_rank": 23267,
"education_skills_and_training_decile": 7,
"health_deprivation_and_disability_score": 0.064,
"health_deprivation_and_disability_rank": 15505,
"health_deprivation_and_disability_decile": 5,
"crime_score": -0.031,
"crime_rank": 17238,
"crime_decile": 6,
"barriers_to_housing_and_services_score": 23.746,
"barriers_to_housing_and_services_rank": 12324,
"barriers_to_housing_and_services_decile": 4,
"living_environment_score": 29.34,
"living_environment_rank": 9629,
"living_environment_decile": 3,
"income_deprivation_affecting_children_score": 0.404,
"income_deprivation_affecting_children_rank": 11804,
"income_deprivation_affecting_children_decile": 4,
"income_deprivation_affecting_older_people_score": 0.561,
"income_deprivation_affecting_older_people_rank": 1571,
"income_deprivation_affecting_older_people_decile": 1,
"children_and_young_people_sub_domain_score": -0.359,
"children_and_young_people_sub_domain_rank": 21941,
"children_and_young_people_sub_domain_decile": 7,
"adult_skills_sub_domain_score": 0.184,
"adult_skills_sub_domain_rank": 22544,
"adult_skills_sub_domain_decile": 7,
"geographical_barriers_sub_domain_score": 10.132,
"geographical_barriers_sub_domain_rank": 32590,
"geographical_barriers_sub_domain_decile": 10,
"wider_barriers_sub_domain_score": 3.849,
"wider_barriers_sub_domain_rank": 4049,
"wider_barriers_sub_domain_decile": 2,
"indoors_sub_domain_score": -0.245,
"indoors_sub_domain_rank": 20945,
"indoors_sub_domain_decile": 7,
"outdoors_sub_domain_score": 1.628,
"outdoors_sub_domain_rank": 1014,
"outdoors_sub_domain_decile": 1,
"total_population_mid_2015_excluding_prisoners": 1576,
"dependent_children_aged_0_15_mid_2015_excluding_prisoners": 235,
"older_population_aged_60_and_over_mid_2015_excluding_prisoners": 266,
"working_age_population_18_59_64_for_use_with_employment_depriva": 1141
}
Indices of deprivation rank areas from most to least deprived across seven domains. The API provides rankings (out of 32,844) and deciles for the following:
- Income. Measures the proportion of the population experiencing deprivation relating to low income.
- Employment. Measures the proportion of the working age population that is involuntarily excluded from the labour market.
- Education, Skills and Training. Measures the lack of attainment and skills in the local population.
- Health and Disability. Measures the risk of premature death and the impairment of quality of life through poor physical or mental health.
- Crime. Measures the risk of personal and material victimisation at local level.
- Housing and Services. Measures the physical and financial accessibility of housing and local services.
- Living Environment. Measures the quality of both the ‘indoor’ and ‘outdoor’ local environment.
In each case, a lower number indicates higher levels of deprivation.
Note that this is currently available for properties in England only.
Energy
Average energy consumption
{
"middle_layer_super_output_area": {
"middle_layer_super_output_area_code": "E02000394",
"electricity_meter_count": 6608,
"mean_electricity_usage": 3796.8767,
"mean_electricity_cost": 1200.1080063699999,
"median_electricity_usage": 2628.25,
"median_electricity_cost": 894.9795750000001,
"gas_meter_count": 2360,
"mean_gas_usage": 10129.2705,
"mean_gas_cost": 848.4715276500001,
"median_gas_usage": 8211.192,
"median_gas_cost": 707.8763736
},
"lower_layer_super_output_area": {
"lower_layer_super_output_area_code": "E01035487",
"electricity_meter_count": 904,
"mean_electricity_usage": 2816.2676,
"mean_electricity_cost": 944.07097036,
"median_electricity_usage": 2086.15,
"median_electricity_cost": 753.437265,
"gas_meter_count": 612,
"mean_gas_usage": 8822.37,
"mean_gas_cost": 752.6757210000001,
"median_gas_usage": 7172.616,
"median_gas_cost": 631.7487528
}
}
The API provides statistics on electricity and gas consumption, broken down by Lower Super Output Area (LSOA) and Middle Super Output Area (MSOA).
Retrofit Grants
[
{
"name": "Boiler Upgrade Scheme",
"description": "Grant of up to £7,500 to cover part of the cost of replacing fossil fuel heating systems with a heat pump or biomass boiler.",
"grant_value": 7500,
"url": "https://www.gov.uk/apply-boiler-upgrade-scheme"
}
]
The API provides a list of retrofit grants available in the area, alongside their value and the URL of the associated web page.
EPCs
"epcs": {
"epc_country": "England",
"epc_in_date": false,
"epc_age": 341949009814,
"epc_expiry": "2022-09-18T20:35:07.000Z",
...
}
The latest Energy Performance Certificate (EPC) for the property is provided (if available). This is an enhanced version of the raw EPC data provided by the UK or Scottish governments (see here for information about how this has been enhanced).
Note that more information and analysis of a property's EPC is available through the PropEco EPCs endpoint - find out more here.
Note that EPCs for properties in England and Wales differ from those for properties in Scotland, as follows:
Latest Enhanced EPC (England & Wales)
{
"address": "30, Tynemouth Street",
"address1": "30, Tynemouth Street",
"address2": null,
"address3": null,
"adjusted_costs": {
"heating_cost_current": 1500.5,
"heating_cost_potential": 1170.1,
"hot_water_cost_current": 255.6,
"hot_water_cost_potential": 157,
"lighting_cost_current": 145.9,
"lighting_cost_potential": 145.9,
"total_fuel_cost_current": 1902,
"total_fuel_cost_potential": 1473,
"standing_charges": 289
},
"built_form": "Mid-Terrace",
"certificate_number": "8788-7424-5370-3747-2996",
"co2_emissions_current": 4.9,
"co2_emissions_per_floor_area_m2_current": 35,
"co2_emissions_potential": 2.7,
"co2_emissions_reduction_potential": 2.2,
"constituency": "E14001160",
"constituency_label": "Chelsea and Fulham",
"construction_age_band": "1900-1929",
"country": "England",
"dwelling_type": "Existing dwellings",
"energy_consumption_per_floor_area_m2_current": 197,
"energy_consumption_per_floor_area_m2_potential": 107,
"energy_efficiency_current": 64,
"energy_efficiency_potential": 78,
"energy_rating_current": "D",
"energy_rating_potential": "C",
"energy_tariff": "Single",
"environmental_impact_current": 55,
"environmental_impact_potential": 72,
"extension_count": 1,
"fixed_lighting_outlet_count": 23,
"flat_storey_count": 2,
"floor_description": "Suspended, no insulation (assumed)",
"floor_energy_efficiency": "N/A",
"floor_environmental_efficiency": "N/A",
"floor_height": 2.62,
"floor_level": null,
"floor_thermal_transmittance": null,
"floor_type": "suspended",
"glazed_area": "Normal",
"glazed_type": "Double",
"habitable_room_count": 6,
"has_mains_gas": true,
"has_solar_water_heating": false,
"heat_loss_corridor": null,
"heat_pump": false,
"heated_room_count": 6,
"heating_cost_current": 822,
"heating_cost_potential": 641,
"hot_water_cost_current": 140,
"hot_water_cost_potential": 86,
"hot_water_description": "From main system",
"hot_water_energy_efficiency": "Good",
"hot_water_environmental_efficiency": "Good",
"inspection_date": "2018-04-13T00:00:00.000Z",
"is_flat_top_storey": false,
"lighting_cost_current": 85,
"lighting_cost_potential": 85,
"lighting_description": "Low energy lighting in 96% of fixed outlets",
"lighting_energy_efficiency": "Very Good",
"lighting_environmental_efficiency": "Very Good",
"local_authority": "E09000013",
"local_authority_label": "Hammersmith and Fulham",
"lodgement_date": "2018-04-13T00:00:00.000Z",
"lodgement_datetime": "2018-04-13T17:05:00.000Z",
"low_energy_fixed_light_count": 22,
"low_energy_lighting_percentage": 96,
"main_fuel": "Mains gas (not community)",
"main_heating_controls": "Programmer, room thermostat and TRVs",
"main_heating_controls_description": "Programmer, room thermostat and TRVs",
"main_heating_controls_energy_efficiency": "Good",
"main_heating_controls_environmental_efficiency": "Good",
"main_heating_description": "Boiler and radiators, mains gas",
"main_heating_energy_efficiency": "Good",
"main_heating_environmental_efficiency": "Good",
"mechanical_ventilation": "Natural",
"multi_glaze_percentage": 100,
"open_fireplace_count": 2,
"post_town": "London",
"postcode": "SW6 2QT",
"property_type": "House",
"region": "E12000007",
"report_type": "Reduced Standard Assessment Procedure (RdSAP)",
"roof_description": "Pitched, 300 mm loft insulation",
"roof_energy_efficiency": "Very Good",
"roof_environmental_efficiency": "Very Good",
"roof_photovoltaic_supply": 0,
"roof_thermal_transmittance": null,
"roof_type": "pitched",
"second_heating_description": "Room heaters, mains gas",
"second_heating_energy_efficiency": "N/A",
"second_heating_environmental_efficiency": "N/A",
"tenure": "Owner-Occupied",
"total_energy_consumption_current": 27777,
"total_energy_consumption_potential": 15087,
"total_floor_area": 141,
"transaction_type": "Marketed sale",
"unheated_corridor_length": null,
"uprn": 34076006,
"uprn_source": "Energy Assessor",
"walls_description": "Solid brick, as built, no insulation (assumed)",
"walls_energy_efficiency": "Very Poor",
"walls_environmental_efficiency": "Very Poor",
"walls_thermal_transmittance": null,
"walls_type": "solid",
"wind_turbine_count": 0,
"windows_description": "Fully Double Glazed",
"windows_energy_efficiency": "Good",
"windows_environmental_efficiency": "Good"
}
EPCs from England and Wales will be marked as either epc_country="England" or epc_country="Wales".
Latest Enhanced EPC (Scotland)
{
"address1": "136 Newhaven Road",
"address2": null,
"adjusted_costs": {
"heating_cost_current": 1596.5,
"heating_cost_potential": 1227,
"hot_water_cost_current": 240.5,
"hot_water_cost_potential": 153.4,
"lighting_cost_current": 252.8,
"lighting_cost_potential": 128.2,
"total_fuel_cost_current": 2089.8,
"total_fuel_cost_potential": 1508.6,
"standing_charges": 289
},
"air_tightness_description": null,
"air_tightness_energy_efficiency": null,
"air_tightness_environmental_efficiency": null,
"alternative_improvements": [],
"building_reference_number": "1001366242",
"built_form": "Detached",
"co2_emissions_current": 5.4,
"co2_emissions_per_floor_area_m2_current": 44,
"co2_emissions_potential": 2.9000000000000004,
"co2_emissions_reduction_potential": 2.5,
"constituency": "00QPMD",
"constituency_label": "Forth",
"construction_age_band": "1965-1975",
"created_at": "2017-03-28T00:00:00.000Z",
"data_zone": "S01002294 (East Trinity and Bonnyhaugh)",
"data_zone_2011": "S01008823 (Trinity East and The Dudleys - 03)",
"energy_consumption_per_floor_area_m2_current": 249,
"energy_consumption_per_floor_area_m2_potential": 132,
"energy_cost_current": 1196,
"energy_efficiency_current": 65,
"energy_efficiency_potential": 83,
"energy_rating_current": "D",
"energy_rating_potential": "B",
"energy_saving_potential": 332,
"energy_tariff": "Single",
"environmental_impact_current": 59,
"environmental_impact_potential": 79,
"environmental_rating_current": "D",
"environmental_rating_potential": "C",
"extension_count": 0,
"fixed_lighting_outlet_count": 12,
"flat_storey_count": null,
"floor_description": "Suspended, no insulation (assumed)",
"floor_energy_efficiency": "N/A",
"floor_environmental_efficiency": "N/A",
"floor_height": 2.4,
"floor_level": null,
"floor_thermal_transmittance": null,
"floor_type": "suspended",
"glazed_area": 1,
"glazed_type": "not defined",
"habitable_room_count": 4,
"has_mains_gas": null,
"has_solar_water_heating": false,
"heat_loss_corridor": null,
"heat_pump": false,
"heated_room_count": 4,
"heating_cost_current": 916,
"heating_cost_potential": 704,
"historic": false,
"hot_water_cost_current": 138,
"hot_water_cost_potential": 88,
"hot_water_description": "From main system",
"hot_water_energy_efficiency": "Good",
"hot_water_environmental_efficiency": "Good",
"id": "1814841",
"impact_cavity_wall_insulation": 0,
"impact_loft_insulation": 0,
"impact_solid_wall_insulation": 0,
"improvements": [
{
"description": "Low energy lighting for all fixed outlets",
"indicative_cost": "£60",
"typical_saving": "61",
"energy_rating_after_improvement": "C 71",
"environmental_rating_after_improvement": "D 66",
"green_deal_eligible": "N"
},
{
"description": "Solar water heating",
"indicative_cost": "£4,000 - £6,000",
"typical_saving": "47",
"energy_rating_after_improvement": "C 72",
"environmental_rating_after_improvement": "D 68",
"green_deal_eligible": "Y"
},
{
"description": "Solar photovoltaic panels, 2.5 kWp",
"indicative_cost": "£5,000 - £8,000",
"typical_saving": "264",
"energy_rating_after_improvement": "B 83",
"environmental_rating_after_improvement": "C 79",
"green_deal_eligible": "Y"
},
{
"description": "Replace single glazed windows with low-E double glazed windows",
"indicative_cost": "£3,300 - £6,500",
"typical_saving": "101",
"energy_rating_after_improvement": "C 75",
"environmental_rating_after_improvement": "C 72",
"green_deal_eligible": "Y"
},
{
"description": "Floor insulation (suspended floor)",
"indicative_cost": "£800 - £1,200",
"typical_saving": "123",
"energy_rating_after_improvement": "C 69",
"environmental_rating_after_improvement": "D 64",
"green_deal_eligible": "Y"
}
],
"inspection_date": "2017-03-24T00:00:00.000Z",
"lighting_cost_current": 142,
"lighting_cost_potential": 72,
"lighting_description": "No low energy lighting",
"lighting_energy_efficiency": "Very Poor",
"lighting_environmental_efficiency": "Very Poor",
"local_authority_label": "Edinburgh City",
"lodgement_date": "2017-03-28T00:00:00.000Z",
"low_energy_fixed_light_count": 0,
"low_energy_lighting_percentage": 0,
"lzc_energy_sources": null,
"main_fuel": "Mains gas (not community)",
"main_heating_category": "Boiler with radiators or underfloor heating",
"main_heating_controls": "2106",
"main_heating_controls_description": "Programmer, room thermostat and TRVs",
"main_heating_controls_energy_efficiency": "Good",
"main_heating_controls_environmental_efficiency": "Good",
"main_heating_description": "Boiler and radiators, mains gas",
"main_heating_energy_efficiency": "Good",
"main_heating_environmental_efficiency": "Good",
"mechanical_ventilation": "Natural",
"multi_glaze_percentage": 0,
"open_fireplace_count": 0,
"post_town": "Edinburgh",
"postcode": "EH6 4NR",
"property_type": "Bungalow",
"report_reference_number": null,
"roof_description": "Pitched, 200 mm loft insulation",
"roof_energy_efficiency": "Good",
"roof_environmental_efficiency": "Good",
"roof_photovoltaic_supply": "Array: Roof Area: 0%; Connection: not applicable (FGHRS or no PV); |",
"roof_thermal_transmittance": null,
"roof_type": "pitched",
"second_heating_description": null,
"space_heating_demand": 17136,
"tenure": "Owner-Occupied",
"three_year_energy_cost_current": 3588,
"three_year_energy_saving_potential": 996,
"three_year_heating_cost_current": 2748,
"three_year_heating_cost_potential": 2112,
"three_year_hot_water_cost_current": 414,
"three_year_hot_water_cost_potential": 264,
"three_year_lighting_cost_current": 426,
"three_year_lighting_cost_potential": 216,
"total_energy_consumption_current": 30627,
"total_energy_consumption_potential": 16236,
"total_floor_area": 123,
"transaction_type": "None of the Above",
"type_of_assessment": "RdSAP, existing dwelling",
"unheated_corridor_length": null,
"uprn": 906178651,
"walls_description": "Cavity wall, filled cavity",
"walls_energy_efficiency": "Good",
"walls_environmental_efficiency": "Good",
"walls_thermal_transmittance": null,
"walls_type": "cavity",
"water_heating_demand": 2822,
"wind_turbine_count": 0,
"windows_description": "Single Glazed",
"windows_energy_efficiency": "Very Poor",
"windows_environmental_efficiency": "Very Poor"
}
EPCs from Scotland will be marked as epc_country="Scotland".
Code Samples
Request
curl \
-X GET \
--header "x-api-key: <API KEY>" \
https://api.propeco.io/properties?uprn=UPRN
const results = await fetch(`https://api.propeco.io/properties?uprn=${uprn}`, {
headers: {
"x-api-key": API_KEY
},
});
const data = await results.json();
Response
{
"uprn": 34076006,
"location": {
"uprn": 34076006,
"x_coord": 526131,
"y_coord": 176355,
"latitude": 51.47211,
"longitude": -0.1853445,
"admin_boundaries": {
"postcode": "SW6 2QT",
"census_output_area_code": "E00009707",
"county_code": "E13000001",
"county_electoral_division_code": "E99999999",
"local_authority_district_code": "E09000013",
"electoral_area_code": "E05013747",
"health_area_code": "E18000007",
"country_code": "E92000001",
"region_code": "E12000007",
"parliamentary_constituency_code": "E14001160",
"european_electoral_region_code": "E15000007",
"travel_to_work_area_code": "E30000234",
"itl_area_code": "E09000013",
"national_park_code": "E65000001",
"census_lower_layer_super_output_area_code": "E01035487",
"census_middle_layer_super_output_area_code": "E02000394",
"census_workplace_zone": "E33033988",
"ccg_lhb_chp_area_code": "E38000256",
"built_up_area_code": "E63012087",
"census_rural_urban_classification": "UN1",
"census_output_area_classification": null,
"local_enterprise_partnership_code": "E37000051",
"local_enterprise_partnership_secondary_code": null,
"police_force_area_code": "E23000001",
"electoral_area_name": "Sands End",
"local_authority_district_name": "Hammersmith and Fulham",
"county_name": "Hammersmith and Fulham",
"region_name": "London",
"country_name": "England"
},
"elevation": {
"elevation_upper": 3.38,
"elevation_lower": -1.74,
"elevation_estimate": 1.4138392905671728,
"distance_from_upper": 264.82580663159666,
"distance_from_lower": 424.7964218305467,
"azimuth_ascending_degrees": 109.46256560940512,
"azimuth_descending_degrees": 56.639128942775336,
"is_above_high_tide_line": false
}
},
"planning": {
"conservation_areas": {
"in_conservation_area": true,
"conservation_area_area": 2273828.5525359632,
"conservation_area_proportion": 0.7284537903512821,
"nearest_conservation_area": {
"name": "No data available for publication by HE",
"distance": 0,
"nearest_point": null
}
},
"listed_buildings": {
"nearest_listed_buildings": [
{
"distance": 272.65926201169736,
"x_coord": 525867.650000001,
"y_coord": 176425.638875,
"latitude": 51.472803363681365,
"longitude": -0.18910933363089522,
"name": "LANGFORD SCHOOL INCLUDING WALL, RAILINGS, GATES AND ENTRANCES, AND FORMER SCHOOL KEEPER'S HOUSE AND SPECIAL SCHOOL",
"grade": "II",
"date_listed": "2009-08-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393408"
},
{
"distance": 404.2988160209559,
"x_coord": 526507.3075,
"y_coord": 176502.818125004,
"latitude": 51.473354479784355,
"longitude": -0.17987667978798275,
"name": "CREMORNE BRIDGE, WEST LONDON EXTENSION RAILWAY BRIDGE",
"grade": "II*",
"date_listed": "2008-11-26T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393006"
},
{
"distance": 459.0246555692252,
"x_coord": 526003.950000001,
"y_coord": 176796.091750003,
"latitude": 51.47610236703256,
"longitude": -0.187015978762473,
"name": "FORMER LABORATORY AT THE IMPERIAL GAS WORKS",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392024"
},
{
"distance": 475.47437878733615,
"x_coord": 526020.825000001,
"y_coord": 176817.533625003,
"latitude": 51.47629131271065,
"longitude": -0.18676548323922187,
"name": "OFFICE BUILDING AT THE FORMER IMPERIAL GAS WORKS",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392025"
},
{
"distance": 494.79545054752094,
"x_coord": 526618.171500001,
"y_coord": 176441.524375001,
"latitude": 51.47277885538365,
"longitude": -0.17830319242949452,
"name": "Cremorne Bridge, West London Extension Railway Bridge, Battersea",
"grade": "II*",
"date_listed": "2008-11-26T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1393005"
},
{
"distance": 495.9440400961927,
"x_coord": 525992.145,
"y_coord": 176831.109000001,
"latitude": 51.47641969688287,
"longitude": -0.1871734055456125,
"name": "WAR MEMORIAL",
"grade": "II",
"date_listed": "2007-06-07T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1392026"
},
{
"distance": 564.5638515564086,
"x_coord": 526042.855809047,
"y_coord": 176912.640515104,
"latitude": 51.47714114501708,
"longitude": -0.18641454604452504,
"name": "Gasholder No 2, Fulham Gasworks",
"grade": "II*",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1261959"
},
{
"distance": 654.1070248826896,
"x_coord": 526747,
"y_coord": 176575.000000002,
"latitude": 51.47394959321589,
"longitude": -0.17640147952629298,
"name": "OLD BATTERSEA HOUSE",
"grade": "II*",
"date_listed": "1954-06-28T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1065500"
},
{
"distance": 693.9798267983115,
"x_coord": 525549,
"y_coord": 176733.000000004,
"latitude": 51.47563638690696,
"longitude": -0.19358588507184643,
"name": "NOS 71 TO 77 INCLUDING IRON RAILINGS",
"grade": "II",
"date_listed": "1970-05-12T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1192382"
},
{
"distance": 702.7560031786114,
"x_coord": 526776.000000001,
"y_coord": 176634.000000004,
"latitude": 51.47447333832597,
"longitude": -0.17596300838318335,
"name": "ST MARY'S VICARAGE (INCLUDING RAILINGS AND GATES)",
"grade": "II",
"date_listed": "1954-06-28T00:00:00.000Z",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1299844"
}
]
},
"world_heritage_sites": {
"in_world_heritage_site": false,
"world_heritage_site_area": 0,
"world_heritage_site_proportion": 0,
"nearest_world_heritage_site": {
"name": "Palace of Westminster, Westminster Abbey and St. Margaret's Church",
"inscription_date": "1987-01-01T00:00:00.000Z",
"notes": "Core Area",
"url": "https://historicengland.org.uk/listing/the-list/list-entry/1000095",
"distance": 4821.2320112402185,
"nearest_point": {
"x_coord": 529916.025999069,
"y_coord": 179341.277999882,
"latitude": 51.49809161098811,
"longitude": -0.12978059568154365
}
}
},
"national_parks": {
"in_national_park": false,
"national_park_area": 0,
"national_park_proportion": 0,
"nearest_national_park": {
"code": "E26000010",
"name": "South Downs",
"distance": 52414.49214631459,
"nearest_point": {
"x_coord": 496678.7996,
"y_coord": 132997.799000001,
"latitude": 51.088152792361065,
"longitude": -0.6209624707641703
}
}
}
},
"environment": {
"air_quality": {
"benzene": {
"percentile": 99.79404010921759,
"value": 0.6817068
},
"no2": {
"percentile": 99.90388538430153,
"value": 20.37211
},
"nox": {
"percentile": 99.89957003420896,
"value": 30.03811
},
"pm2.5": {
"percentile": 99.8356237470724,
"value": 8.446545
},
"pm10": {
"percentile": 96.75680552994669,
"value": 14.2705
},
"so2": {
"percentile": 98.54808084612246,
"value": 2.842329
}
},
"greenspace": {
"greenspace_area": 249521.6226683189,
"greenspace_proportion": 0.0799378527,
"nearest_greenspace_point": {
"distance": 64.43658122526742,
"x_coord": 526192.63,
"y_coord": 176336.19,
"latitude": 51.471927175308295,
"longitude": -0.1844645464039543,
"function": "Public Park Or Garden",
"name": null
}
},
"landslides": [],
"radon": {
"radon_class": 1,
"radon_affected_area": false,
"radon_exceeding_action_level_min_likelihood": 0,
"radon_exceeding_action_level_max_likelihood": 0.01
},
"subsidence": {
"collapsible_deposits": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating"
},
"compressible_ground": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"landslides": {
"class": 1,
"legend": "Low",
"advisory": "Areas of localised significant rating."
},
"running_sand": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell": {
"class": 3,
"legend": "Significant",
"advisory": "Areas of localised significant rating."
},
"soluble_rocks": {
"class": 1,
"legend": "Low",
"advisory": null
},
"shrink_swell_2050_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2080_medium_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2070_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_high_emissions": {
"class": "Probable",
"legend": "It is probable that climate change will affect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
},
"shrink_swell_2030_medium_emissions": {
"class": "Possible",
"legend": "It is possible that climate change will effect clay shrink-swell susceptibility and change the likelihood of ground movement, which causes subsidence."
}
}
},
"transportation": {
"nearest_airport": {
"name": "London City Airport",
"distance": 17145.32305869944,
"azimuth_degrees": 76.4380036982832,
"x_coord": 542798.2557996714,
"y_coord": 180375.5331606008,
"latitude": 51.50428,
"longitude": 0.0561
},
"low_emission_zones": {
"in_low_emission_zone": true,
"low_emission_zone_area": 3121445.152257984,
"low_emission_zone_proportion": 1,
"nearest_low_emission_zone": {
"name": "London_ULEZ",
"url": "https://tfl.gov.uk/modes/driving/ultra-low-emission-zone",
"distance": 0,
"nearest_point": null
}
},
"ev_charging_points": {
"nearest_charging_points": [
{
"distance": 24.300398212285252,
"x_coord": 526149.9207485385,
"y_coord": 176370.27343384735,
"latitude": 51.472243,
"longitude": -0.185067,
"name": "Tynemouth Street"
},
{
"distance": 24.933474857774584,
"x_coord": 526121.7213066816,
"y_coord": 176378.14261359192,
"latitude": 51.47232,
"longitude": -0.18547,
"name": "Tynmouth Street"
},
{
"distance": 32.2742501894088,
"x_coord": 526132.8208975578,
"y_coord": 176322.782356649,
"latitude": 51.47182,
"longitude": -0.18533,
"name": "Lindrop Street"
},
{
"distance": 57.530020490303876,
"x_coord": 526074.6282859455,
"y_coord": 176343.59510883188,
"latitude": 51.47202,
"longitude": -0.18616,
"name": "Lindrop Road"
},
{
"distance": 74.386387679891,
"x_coord": 526158.5241039438,
"y_coord": 176424.11900597543,
"latitude": 51.472725,
"longitude": -0.184924,
"name": "Elbe Street"
},
{
"distance": 78.57274521357323,
"x_coord": 526076.4215237667,
"y_coord": 176411.51444497233,
"latitude": 51.47263,
"longitude": -0.18611,
"name": "Tynmouth Street"
},
{
"distance": 86.79300552321156,
"x_coord": 526045.0100863599,
"y_coord": 176366.67361626908,
"latitude": 51.472234,
"longitude": -0.186578,
"name": "suby1100007179"
},
{
"distance": 88.85030848038176,
"x_coord": 526114.0300682702,
"y_coord": 176267.79436360375,
"latitude": 51.47133,
"longitude": -0.18562,
"name": "Glenrosa Street"
},
{
"distance": 89.33838258294242,
"x_coord": 526156.1746027804,
"y_coord": 176269.28351075877,
"latitude": 51.471334,
"longitude": -0.185013,
"name": "Townmead Road"
},
{
"distance": 93.43933046161797,
"x_coord": 526148.5119337098,
"y_coord": 176446.79263576196,
"latitude": 51.472931,
"longitude": -0.18506,
"name": "Elbe Street"
}
]
}
},
"flood_risk": {
"england": {
"rivers_and_seas": {
"in_flood_risk_zone": true,
"annual_flood_risk": 0.001,
"flood_risk_description": "Very low",
"nearest_flood_risk_zone": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
},
"highest_risk_flood_zone_within_50m": {
"max_annual_flood_risk": 0.001,
"min_annual_flood_risk": null,
"flood_risk_description": "Very low",
"distance": 0,
"nearest_point": null
}
}
},
"scotland": null,
"wales": null
},
"climate": {
"historical": {
"average_rainfall": {
"percentile": 5,
"value": 630.878136
},
"average_sunshine": {
"percentile": 79,
"value": 1627.568507
},
"average_temperature": {
"percentile": 99,
"value": 12.41175113
},
"highest_rainfall": {
"percentile": 27,
"value": 48.36213045
},
"maximum_temperature": {
"percentile": 98,
"value": 40.03483407
},
"highest_wind_speed": {
"percentile": 1,
"value": 4.461679503
},
"minimum_temperature": {
"percentile": 3,
"value": -5.336074282
}
},
"future_projections": {
"annual_hot_days": {
"baseline_hot_days": 2.4,
"upper_recent_hot_days": 8.6,
"upper_recent_hot_days_change": 6.199999999999999,
"upper_recent_hot_days_change_relative": 2.583333333333333,
"lower_recent_hot_days": 4.6,
"lower_recent_hot_days_change": 2.1999999999999997,
"lower_recent_hot_days_change_relative": 0.9166666666666666,
"upper_hot_days": 42.1,
"upper_hot_days_change": 39.7,
"upper_hot_days_change_relative": 16.541666666666668,
"lower_hot_days": 7.6,
"lower_hot_days_change": 5.2,
"lower_hot_days_change_relative": 2.166666666666667
},
"maximum_temperature": {
"baseline_maximum_temperature": 30.93,
"upper_recent_maximum_temperature": 33.95,
"upper_recent_maximum_temperature_change": 3.020000000000003,
"upper_recent_maximum_temperature_change_relative": 0.09763983187843528,
"lower_recent_maximum_temperature": 31.64,
"lower_recent_maximum_temperature_change": 0.7100000000000009,
"lower_recent_maximum_temperature_change_relative": 0.02295505981247982,
"upper_maximum_temperature": 39.08,
"upper_maximum_temperature_change": 8.15,
"upper_maximum_temperature_change_relative": 0.2634982217911413,
"lower_maximum_temperature": 31.88,
"lower_maximum_temperature_change": 0.95,
"lower_maximum_temperature_change_relative": 0.03071451665050113
},
"summer_precipitation": {
"baseline_summer_precipitation": 1.53,
"upper_recent_summer_precipitation": 1.67,
"upper_recent_summer_precipitation_change": 0.1399999999999999,
"upper_recent_summer_precipitation_change_relative": 0.09150326797385615,
"lower_recent_summer_precipitation": 1.34,
"lower_recent_summer_precipitation_change": -0.18999999999999995,
"lower_recent_summer_precipitation_change_relative": -0.12418300653594767,
"upper_summer_precipitation": 1.2452670000000001,
"upper_summer_precipitation_change": -0.28473299999999996,
"upper_summer_precipitation_change_relative": -0.1861,
"lower_summer_precipitation": 1.320237,
"lower_summer_precipitation_change": -0.20976300000000003,
"lower_summer_precipitation_change_relative": -0.1371
},
"winter_precipitation": {
"baseline_winter_precipitation": 1.65,
"upper_recent_winter_precipitation": 1.97,
"upper_recent_winter_precipitation_change": 0.32000000000000006,
"upper_recent_winter_precipitation_change_relative": 0.193939393939394,
"lower_recent_winter_precipitation": 1.64,
"lower_recent_winter_precipitation_change": -0.010000000000000009,
"lower_recent_winter_precipitation_change_relative": -0.006060606060606067,
"upper_winter_precipitation": 2.080485,
"upper_winter_precipitation_change": 0.43048499999999995,
"upper_winter_precipitation_change_relative": 0.2609,
"lower_winter_precipitation": 1.4754299999999998,
"lower_winter_precipitation_change": -0.17457,
"lower_winter_precipitation_change_relative": -0.1058
}
}
},
"social": {
"house_price_index": {
"date": "2026-01-07T00:00:00.000Z",
"region_name": "Hammersmith and Fulham",
"average_price": 738048,
"average_price_seasonally_adjusted": null,
"house_price_index": 87.4,
"house_price_index_seasonally_adjusted": null,
"percentage_change_1_month": 1.4,
"percentage_change_12_months": -9,
"sales_volume": null,
"average_price_detached": 1716974,
"house_price_index_detached": 89.9,
"percentage_change_1_month_detached": 2.3,
"percentage_change_12_months_detached": -6.1,
"average_price_semi_detached": 1503460,
"house_price_index_semi_detached": 91.5,
"percentage_change_1_month_semi_detached": 3.2,
"percentage_change_12_months_semi_detached": -4.4,
"average_price_terraced": 1139759,
"house_price_index_terraced": 91.6,
"percentage_change_1_month_terraced": 2.1,
"percentage_change_12_months_terraced": -6.7,
"average_price_flat": 568235,
"house_price_index_flat": 85.7,
"percentage_change_1_month_flat": 1,
"percentage_change_12_months_flat": -10,
"average_price_cash": 736198,
"house_price_index_cash": 87.4,
"percentage_change_1_month_cash": 1.4,
"percentage_change_12_months_cash": -9,
"sales_volume_cash": null,
"average_price_mortgage": 738831,
"house_price_index_mortgage": 87.5,
"percentage_change_1_month_mortgage": 1.4,
"percentage_change_12_months_mortgage": -9,
"sales_volume_mortgage": null,
"average_price_first_time_buyer": 629368,
"house_price_index_first_time_buyer": 86.6,
"percentage_change_1_month_first_time_buyer": 1.2,
"percentage_change_12_months_first_time_buyer": -9.4,
"average_price_former_owner_occupier": 908993,
"house_price_index_former_owner_occupier": 88.9,
"percentage_change_1_month_former_owner_occupier": 1.5,
"percentage_change_12_months_former_owner_occupier": -8.2,
"average_price_new": null,
"house_price_index_new": null,
"percentage_change_1_month_new": null,
"percentage_change_12_months_new": null,
"sales_volume_new": null,
"average_price_existing": null,
"house_price_index_existing": null,
"percentage_change_1_month_existing": null,
"percentage_change_12_months_existing": null,
"sales_volume_existing": null
},
"fuel_poverty": {
"lower_layer_super_output_area": {
"lower_layer_super_output_area_code": "E01035487",
"lower_layer_super_output_area_name": "Hammersmith and Fulham 023H",
"household_count": 809,
"fuel_poor_household_count": 60,
"fuel_poor_household_percentage": 7
},
"local_authority": {
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"household_count": 88809,
"fuel_poor_household_count": 8657,
"fuel_poor_household_percentage": 9.747885912463827
},
"region": {
"region_code": "E12000007",
"region_name": "London",
"household_count": 3731959,
"fuel_poor_household_count": 359488,
"fuel_poor_household_percentage": 9.632688890740761
}
},
"nhs_locations": {
"nearest_hospital": {
"distance": 1381.4277835797047,
"azimuth_degrees": 16.935743411464543,
"x_coord": 526355.3334399035,
"y_coord": 177718.09105674824,
"latitude": 51.484310150146484,
"longitude": -0.1816297024488449,
"name": "Chelsea and Westminster Hospital",
"url": "http://www.chelwest.nhs.uk",
"address1": "369 Fulham Road",
"address2": null,
"address3": null,
"postcode": "SW10 9NH"
},
"nearest_gp_practice": {
"distance": 434.0683257660047,
"azimuth_degrees": 279.592346553228,
"x_coord": 525709.3269117592,
"y_coord": 176457.99086409376,
"latitude": 51.47312927246094,
"longitude": -0.1913762241601944,
"name": "Sands End Health Clinic",
"url": null,
"address1": "1 BROUGHTON ROAD APPROACH",
"address2": null,
"address3": null,
"postcode": "SW6 2FE"
},
"nearest_dentist": {
"distance": 681.5908793608703,
"azimuth_degrees": 301.55272328538643,
"x_coord": 525633.340821908,
"y_coord": 176820.7268183052,
"latitude": 51.47640609741211,
"longitude": -0.1923409402370453,
"name": "New Kings Rd Dental Practice",
"url": "http://www.newkingsroaddental.com/",
"address1": "59 New Kings Road",
"address2": "London",
"address3": "London",
"postcode": "SW6 4SE"
}
},
"defibrillators": [
{
"distance": 235.07416912822993,
"azimuth_degrees": 61.08598126721924,
"x_coord": 526303.1706507438,
"y_coord": 176515.0535285888,
"latitude": 51.47351,
"longitude": -0.18281,
"location_name": "St George West London",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 245.9736845902887,
"azimuth_degrees": 71.2084966660904,
"x_coord": 526344.0110737708,
"y_coord": 176478.00136569107,
"latitude": 51.4731679,
"longitude": -0.1822355,
"location_name": null,
"availability": "24/7 Access",
"access_type": "Public"
},
{
"distance": 245.9736845902887,
"azimuth_degrees": 71.2084966660904,
"x_coord": 526344.0110737708,
"y_coord": 176478.00136569107,
"latitude": 51.4731679,
"longitude": -0.1822355,
"location_name": "Tesco Express",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 296.97392467090833,
"azimuth_degrees": 162.66725601637975,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 296.97392467090833,
"azimuth_degrees": 162.66725601637975,
"x_coord": 526195.0154642942,
"y_coord": 176065.00770309236,
"latitude": 51.4694895,
"longitude": -0.1845269,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 360.73572032336443,
"azimuth_degrees": 332.1803354451811,
"x_coord": 526009.6531294279,
"y_coord": 176694.71340409148,
"latitude": 51.47519,
"longitude": -0.18697,
"location_name": null,
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 393.2161857435855,
"azimuth_degrees": 269.89929251781257,
"x_coord": 525737.9329731906,
"y_coord": 176344.17035707302,
"latitude": 51.4721,
"longitude": -0.191005,
"location_name": "L'ecole Des Petits",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 398.9406564306313,
"azimuth_degrees": 348.2812573032834,
"x_coord": 526069.9722823373,
"y_coord": 176749.2451839021,
"latitude": 51.47566666,
"longitude": -0.186082495,
"location_name": "Kings Road Park",
"availability": "Varied Access",
"access_type": "Public"
},
{
"distance": 412.61979435181905,
"azimuth_degrees": 277.85397144271155,
"x_coord": 525726.0143506106,
"y_coord": 176434.0045472078,
"latitude": 51.47291,
"longitude": -0.1911446,
"location_name": "Howdens At Fulham",
"availability": "Varied Access",
"access_type": "Restricted"
},
{
"distance": 415.3016841412404,
"azimuth_degrees": 40.21386779514243,
"x_coord": 526315.749994361,
"y_coord": 176726.94479218562,
"latitude": 51.47541148,
"longitude": -0.182553342,
"location_name": "The Design Studios - Chelsea Harbour",
"availability": "24/7 Access",
"access_type": "Public"
}
],
"indices_of_deprivation": {
"lsoa_code": "E01035487",
"lsoa_name": "Hammersmith and Fulham 023H",
"local_authority_district_code": "E09000013",
"local_authority_district_name": "Hammersmith and Fulham",
"index_of_multiple_deprivation_score": 20.633,
"index_of_multiple_deprivation_rank": 14227,
"index_of_multiple_deprivation_decile": 5,
"income_score": 0.297,
"income_rank": 9684,
"income_decile": 3,
"employment_score": 0.133,
"employment_rank": 13364,
"employment_decile": 4,
"education_skills_and_training_score": 9.443,
"education_skills_and_training_rank": 23267,
"education_skills_and_training_decile": 7,
"health_deprivation_and_disability_score": 0.064,
"health_deprivation_and_disability_rank": 15505,
"health_deprivation_and_disability_decile": 5,
"crime_score": -0.031,
"crime_rank": 17238,
"crime_decile": 6,
"barriers_to_housing_and_services_score": 23.746,
"barriers_to_housing_and_services_rank": 12324,
"barriers_to_housing_and_services_decile": 4,
"living_environment_score": 29.34,
"living_environment_rank": 9629,
"living_environment_decile": 3,
"income_deprivation_affecting_children_score": 0.404,
"income_deprivation_affecting_children_rank": 11804,
"income_deprivation_affecting_children_decile": 4,
"income_deprivation_affecting_older_people_score": 0.561,
"income_deprivation_affecting_older_people_rank": 1571,
"income_deprivation_affecting_older_people_decile": 1,
"children_and_young_people_sub_domain_score": -0.359,
"children_and_young_people_sub_domain_rank": 21941,
"children_and_young_people_sub_domain_decile": 7,
"adult_skills_sub_domain_score": 0.184,
"adult_skills_sub_domain_rank": 22544,
"adult_skills_sub_domain_decile": 7,
"geographical_barriers_sub_domain_score": 10.132,
"geographical_barriers_sub_domain_rank": 32590,
"geographical_barriers_sub_domain_decile": 10,
"wider_barriers_sub_domain_score": 3.849,
"wider_barriers_sub_domain_rank": 4049,
"wider_barriers_sub_domain_decile": 2,
"indoors_sub_domain_score": -0.245,
"indoors_sub_domain_rank": 20945,
"indoors_sub_domain_decile": 7,
"outdoors_sub_domain_score": 1.628,
"outdoors_sub_domain_rank": 1014,
"outdoors_sub_domain_decile": 1,
"total_population_mid_2015_excluding_prisoners": 1576,
"dependent_children_aged_0_15_mid_2015_excluding_prisoners": 235,
"older_population_aged_60_and_over_mid_2015_excluding_prisoners": 266,
"working_age_population_18_59_64_for_use_with_employment_depriva": 1141
}
},
"energy": {
"average_energy_usage_stats": {
"middle_layer_super_output_area": {
"middle_layer_super_output_area_code": "E02000394",
"electricity_meter_count": 6608,
"mean_electricity_usage": 3796.8767,
"mean_electricity_cost": 1200.1080063699999,
"median_electricity_usage": 2628.25,
"median_electricity_cost": 894.9795750000001,
"gas_meter_count": 2360,
"mean_gas_usage": 10129.2705,
"mean_gas_cost": 848.4715276500001,
"median_gas_usage": 8211.192,
"median_gas_cost": 707.8763736
},
"lower_layer_super_output_area": {
"lower_layer_super_output_area_code": "E01035487",
"electricity_meter_count": 904,
"mean_electricity_usage": 2816.2676,
"mean_electricity_cost": 944.07097036,
"median_electricity_usage": 2086.15,
"median_electricity_cost": 753.437265,
"gas_meter_count": 612,
"mean_gas_usage": 8822.37,
"mean_gas_cost": 752.6757210000001,
"median_gas_usage": 7172.616,
"median_gas_cost": 631.7487528
}
},
"retrofit_grants": [
{
"name": "Boiler Upgrade Scheme",
"description": "Grant of up to £7,500 to cover part of the cost of replacing fossil fuel heating systems with a heat pump or biomass boiler.",
"grant_value": 7500,
"url": "https://www.gov.uk/apply-boiler-upgrade-scheme"
}
],
"epcs": {
"epc_country": "England",
"epc_in_date": true,
"epc_age": 267047680371,
"epc_expiry": "2028-04-13T00:00:00.000Z",
"epc": {
"address": "30, Tynemouth Street",
"address1": "30, Tynemouth Street",
"address2": null,
"address3": null,
"adjusted_costs": {
"heating_cost_current": 1500.5,
"heating_cost_potential": 1170.1,
"hot_water_cost_current": 255.6,
"hot_water_cost_potential": 157,
"lighting_cost_current": 145.9,
"lighting_cost_potential": 145.9,
"total_fuel_cost_current": 1902,
"total_fuel_cost_potential": 1473,
"standing_charges": 289
},
"built_form": "Mid-Terrace",
"certificate_number": "8788-7424-5370-3747-2996",
"co2_emissions_current": 4.9,
"co2_emissions_per_floor_area_m2_current": 35,
"co2_emissions_potential": 2.7,
"co2_emissions_reduction_potential": 2.2,
"constituency": "E14001160",
"constituency_label": "Chelsea and Fulham",
"construction_age_band": "1900-1929",
"country": "England",
"dwelling_type": "Existing dwellings",
"energy_consumption_per_floor_area_m2_current": 197,
"energy_consumption_per_floor_area_m2_potential": 107,
"energy_efficiency_current": 64,
"energy_efficiency_potential": 78,
"energy_rating_current": "D",
"energy_rating_potential": "C",
"energy_tariff": "Single",
"environmental_impact_current": 55,
"environmental_impact_potential": 72,
"extension_count": 1,
"fixed_lighting_outlet_count": 23,
"flat_storey_count": 2,
"floor_description": "Suspended, no insulation (assumed)",
"floor_energy_efficiency": "N/A",
"floor_environmental_efficiency": "N/A",
"floor_height": 2.62,
"floor_level": null,
"floor_thermal_transmittance": null,
"floor_type": "suspended",
"glazed_area": "Normal",
"glazed_type": "Double",
"habitable_room_count": 6,
"has_mains_gas": true,
"has_solar_water_heating": false,
"heat_loss_corridor": null,
"heat_pump": false,
"heated_room_count": 6,
"heating_cost_current": 822,
"heating_cost_potential": 641,
"hot_water_cost_current": 140,
"hot_water_cost_potential": 86,
"hot_water_description": "From main system",
"hot_water_energy_efficiency": "Good",
"hot_water_environmental_efficiency": "Good",
"inspection_date": "2018-04-13T00:00:00.000Z",
"is_flat_top_storey": false,
"lighting_cost_current": 85,
"lighting_cost_potential": 85,
"lighting_description": "Low energy lighting in 96% of fixed outlets",
"lighting_energy_efficiency": "Very Good",
"lighting_environmental_efficiency": "Very Good",
"local_authority": "E09000013",
"local_authority_label": "Hammersmith and Fulham",
"lodgement_date": "2018-04-13T00:00:00.000Z",
"lodgement_datetime": "2018-04-13T17:05:00.000Z",
"low_energy_fixed_light_count": 22,
"low_energy_lighting_percentage": 96,
"main_fuel": "Mains gas (not community)",
"main_heating_controls": "Programmer, room thermostat and TRVs",
"main_heating_controls_description": "Programmer, room thermostat and TRVs",
"main_heating_controls_energy_efficiency": "Good",
"main_heating_controls_environmental_efficiency": "Good",
"main_heating_description": "Boiler and radiators, mains gas",
"main_heating_energy_efficiency": "Good",
"main_heating_environmental_efficiency": "Good",
"mechanical_ventilation": "Natural",
"multi_glaze_percentage": 100,
"open_fireplace_count": 2,
"post_town": "London",
"postcode": "SW6 2QT",
"property_type": "House",
"region": "E12000007",
"report_type": "Reduced Standard Assessment Procedure (RdSAP)",
"roof_description": "Pitched, 300 mm loft insulation",
"roof_energy_efficiency": "Very Good",
"roof_environmental_efficiency": "Very Good",
"roof_photovoltaic_supply": 0,
"roof_thermal_transmittance": null,
"roof_type": "pitched",
"second_heating_description": "Room heaters, mains gas",
"second_heating_energy_efficiency": "N/A",
"second_heating_environmental_efficiency": "N/A",
"tenure": "Owner-Occupied",
"total_energy_consumption_current": 27777,
"total_energy_consumption_potential": 15087,
"total_floor_area": 141,
"transaction_type": "Marketed sale",
"unheated_corridor_length": null,
"uprn": 34076006,
"uprn_source": "Energy Assessor",
"walls_description": "Solid brick, as built, no insulation (assumed)",
"walls_energy_efficiency": "Very Poor",
"walls_environmental_efficiency": "Very Poor",
"walls_thermal_transmittance": null,
"walls_type": "solid",
"wind_turbine_count": 0,
"windows_description": "Fully Double Glazed",
"windows_energy_efficiency": "Good",
"windows_environmental_efficiency": "Good"
}
}
}
}
{
"$schema" : "http://json-schema.org/draft-07/schema#",
"definitions" : {
"AdminBoundaryByXYInfo" : {
"properties" : {
"country_code" : {
"type" : [
"null",
"string"
]
},
"country_name" : {
"type" : [
"null",
"string"
]
},
"county_code" : {
"type" : [
"null",
"string"
]
},
"county_name" : {
"type" : [
"null",
"string"
]
},
"electoral_area_code" : {
"type" : "string"
},
"electoral_area_name" : {
"type" : [
"null",
"string"
]
},
"local_authority_district_code" : {
"type" : [
"null",
"string"
]
},
"local_authority_district_name" : {
"type" : [
"null",
"string"
]
},
"region_code" : {
"type" : [
"null",
"string"
]
},
"region_name" : {
"type" : [
"null",
"string"
]
}
},
"required" : [
"country_code",
"country_name",
"county_code",
"county_name",
"electoral_area_code",
"electoral_area_name",
"local_authority_district_code",
"local_authority_district_name",
"region_code",
"region_name"
],
"type" : "object"
},
"AirQualityInfo" : {
"properties" : {
"benzene" : {
"$ref" : "#/definitions/AirQualityValue"
},
"no2" : {
"$ref" : "#/definitions/AirQualityValue"
},
"nox" : {
"$ref" : "#/definitions/AirQualityValue"
},
"pm10" : {
"$ref" : "#/definitions/AirQualityValue"
},
"pm2.5" : {
"$ref" : "#/definitions/AirQualityValue"
},
"so2" : {
"$ref" : "#/definitions/AirQualityValue"
}
},
"required" : [
"benzene",
"no2",
"nox",
"pm10",
"pm2.5",
"so2"
],
"type" : "object"
},
"AirQualityValue" : {
"properties" : {
"percentile" : {
"type" : "number"
},
"value" : {
"type" : "number"
}
},
"required" : [
"percentile",
"value"
],
"type" : "object"
},
"AnnualHotDaysChange" : {
"properties" : {
"baseline_hot_days" : {
"type" : "number"
},
"lower_hot_days" : {
"type" : "number"
},
"lower_hot_days_change" : {
"type" : "number"
},
"lower_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
},
"lower_recent_hot_days" : {
"type" : "number"
},
"lower_recent_hot_days_change" : {
"type" : "number"
},
"lower_recent_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_hot_days" : {
"type" : "number"
},
"upper_hot_days_change" : {
"type" : "number"
},
"upper_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
},
"upper_recent_hot_days" : {
"type" : "number"
},
"upper_recent_hot_days_change" : {
"type" : "number"
},
"upper_recent_hot_days_change_relative" : {
"type" : [
"null",
"number"
]
}
},
"required" : [
"baseline_hot_days",
"lower_hot_days",
"lower_hot_days_change",
"lower_hot_days_change_relative",
"lower_recent_hot_days",
"lower_recent_hot_days_change",
"lower_recent_hot_days_change_relative",
"upper_hot_days",
"upper_hot_days_change",
"upper_hot_days_change_relative",
"upper_recent_hot_days",
"upper_recent_hot_days_change",
"upper_recent_hot_days_change_relative"
],
"type" : "object"
},
"BaseEnergyData" : {
"properties" : {
"retrofit_grants" : {
"anyOf" : [
{
"items" : {
"$ref" : "#/definitions/RetrofitGrant"
},
"type" : "array"
},
{
"type" : "null"
}
]
}
},
"required" : [
"retrofit_grants"
],
"type" : "object"
},
"BaseSocialData" : {
"properties" : {
"defibrillators" : {
"anyOf" : [
{
"items" : {
"$ref" : "#/definitions/DefibrillatorResult"
},
"type" : "array"
},
{
"type" : "null"
}
]
},
"fuel_poverty" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyInfo"
},
{
"type" : "null"
}
]
},
"house_price_index" : {
"anyOf" : [
{
"$ref" : "#/definitions/HousePriceIndexInfo"
},
{
"type" : "null"
}
]
},
"nhs_locations" : {
"anyOf" : [
{
"$ref" : "#/definitions/NHSLocationsInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"defibrillators",
"fuel_poverty",
"house_price_index",
"nhs_locations"
],
"type" : "object"
},
"ClimateChangeInfo" : {
"properties" : {
"annual_hot_days" : {
"anyOf" : [
{
"$ref" : "#/definitions/AnnualHotDaysChange"
},
{
"type" : "null"
}
]
},
"maximum_temperature" : {
"anyOf" : [
{
"$ref" : "#/definitions/MaximumTemperatureChange"
},
{
"type" : "null"
}
]
},
"summer_precipitation" : {
"anyOf" : [
{
"$ref" : "#/definitions/SummerPrecipitationChange"
},
{
"type" : "null"
}
]
},
"winter_precipitation" : {
"anyOf" : [
{
"$ref" : "#/definitions/WinterPrecipitationChange"
},
{
"type" : "null"
}
]
}
},
"required" : [
"annual_hot_days",
"maximum_temperature",
"summer_precipitation",
"winter_precipitation"
],
"type" : "object"
},
"ClimateData" : {
"properties" : {
"future_projections" : {
"anyOf" : [
{
"$ref" : "#/definitions/ClimateChangeInfo"
},
{
"type" : "null"
}
]
},
"historical" : {
"anyOf" : [
{
"$ref" : "#/definitions/HistoricalClimateData"
},
{
"type" : "null"
}
]
}
},
"required" : [
"future_projections",
"historical"
],
"type" : "object"
},
"ClimateRanking" : {
"properties" : {
"percentile" : {
"type" : "number"
},
"value" : {
"type" : "number"
}
},
"required" : [
"percentile",
"value"
],
"type" : "object"
},
"ConservationAreaInfo" : {
"properties" : {
"conservation_area_area" : {
"type" : "number"
},
"conservation_area_proportion" : {
"type" : "number"
},
"in_conservation_area" : {
"type" : "boolean"
},
"nearest_conservation_area" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestConservationArea"
},
{
"type" : "null"
}
]
}
},
"required" : [
"conservation_area_area",
"conservation_area_proportion",
"in_conservation_area",
"nearest_conservation_area"
],
"type" : "object"
},
"ConservationAreaNearestPoint" : {
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"CurrentSubsidenceResult" : {
"properties" : {
"advisory" : {
"type" : [
"null",
"string"
]
},
"class" : {
"type" : "number"
},
"legend" : {
"type" : "string"
}
},
"required" : [
"advisory",
"class",
"legend"
],
"type" : "object"
},
"DefibrillatorResult" : {
"properties" : {
"access_type" : {
"type" : [
"null",
"string"
]
},
"availability" : {
"type" : [
"null",
"string"
]
},
"azimuth_degrees" : {
"type" : "number"
},
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"location_name" : {
"type" : [
"null",
"string"
]
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"access_type",
"availability",
"azimuth_degrees",
"distance",
"latitude",
"location_name",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"ElevationInfo" : {
"properties" : {
"azimuth_ascending_degrees" : {
"type" : [
"null",
"number"
]
},
"azimuth_descending_degrees" : {
"type" : "number"
},
"distance_from_lower" : {
"type" : "number"
},
"distance_from_upper" : {
"type" : [
"null",
"number"
]
},
"elevation_estimate" : {
"type" : "number"
},
"elevation_lower" : {
"type" : "number"
},
"elevation_upper" : {
"type" : [
"null",
"number"
]
},
"is_above_high_tide_line" : {
"type" : [
"null",
"boolean"
]
}
},
"required" : [
"azimuth_ascending_degrees",
"azimuth_descending_degrees",
"distance_from_lower",
"distance_from_upper",
"elevation_estimate",
"elevation_lower",
"elevation_upper",
"is_above_high_tide_line"
],
"type" : "object"
},
"EnglandFloodRiskDescription" : {
"enum" : [
"High",
"Low",
"Medium",
"Unavailable",
"Very low"
],
"type" : "string"
},
"EnglandFloodRiskInfo" : {
"description" : "Combined England flood-risk response.",
"properties" : {
"rivers_and_seas" : {
"$ref" : "#/definitions/EnglandFloodRiskResult"
},
"rivers_and_seas_climate_change" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
},
"surface_water" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
},
"surface_water_climate_change" : {
"$ref" : "#/definitions/EnglandFloodRiskResult",
"description" : "Parsed England flood-risk result for a single dataset."
}
},
"required" : [
"rivers_and_seas"
],
"type" : "object"
},
"EnglandFloodRiskResult" : {
"description" : "Parsed England flood-risk result for a single dataset.",
"properties" : {
"annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"flood_risk_coverage" : {
"$ref" : "#/definitions/FloodRiskCoverage",
"description" : "Exclusive flood-risk coverage across the supplied property geometry."
},
"flood_risk_description" : {
"anyOf" : [
{
"enum" : [
"High",
"Low",
"Medium",
"Unavailable",
"Very low"
],
"type" : "string"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_50m" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"highest_risk_flood_zone_within_buffer" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskBufferResult"
},
{
"type" : "null"
}
]
},
"in_flood_risk_zone" : {
"type" : [
"null",
"boolean"
]
},
"nearest_flood_risk_zone" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskZone"
},
{
"type" : "null"
}
]
},
"unavailable_coverage" : {
"$ref" : "#/definitions/FloodRiskUnavailableCoverage"
}
},
"required" : [
"annual_flood_risk",
"highest_risk_flood_zone_within_50m",
"in_flood_risk_zone",
"nearest_flood_risk_zone"
],
"type" : "object"
},
"EnglandFloodRiskZone" : {
"description" : "Parsed England flood-risk zone.",
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/EnglandFloodRiskDescription"
},
"max_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"min_annual_flood_risk" : {
"type" : [
"null",
"number"
]
},
"nearest_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/FloodRiskNearestPoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"distance",
"flood_risk_description",
"max_annual_flood_risk",
"min_annual_flood_risk",
"nearest_point"
],
"type" : "object"
},
"EnvironmentData" : {
"properties" : {
"air_quality" : {
"anyOf" : [
{
"$ref" : "#/definitions/AirQualityInfo"
},
{
"type" : "null"
}
]
},
"greenspace" : {
"anyOf" : [
{
"$ref" : "#/definitions/GreenspaceInfo"
},
{
"type" : "null"
}
]
},
"landslides" : {
"anyOf" : [
{
"items" : {
"$ref" : "#/definitions/LandslideXYResult"
},
"type" : "array"
},
{
"type" : "null"
}
]
},
"radon" : {
"anyOf" : [
{
"$ref" : "#/definitions/RadonInfo"
},
{
"type" : "null"
}
]
},
"subsidence" : {
"anyOf" : [
{
"$ref" : "#/definitions/SubsidenceInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"air_quality",
"greenspace",
"landslides",
"radon",
"subsidence"
],
"type" : "object"
},
"EvChargingPoint" : {
"properties" : {
"distance" : {
"type" : "number"
},
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"name" : {
"type" : [
"null",
"string"
]
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"distance",
"latitude",
"longitude",
"name",
"x_coord",
"y_coord"
],
"type" : "object"
},
"EvChargingPointsInfo" : {
"properties" : {
"nearest_charging_points" : {
"items" : {
"$ref" : "#/definitions/EvChargingPoint"
},
"type" : "array"
}
},
"required" : [
"nearest_charging_points"
],
"type" : "object"
},
"FloodRiskBand" : {
"description" : "Flood risk bands used by the Environment Agency NAFRA2 datasets.",
"enum" : [
"High",
"Low",
"Medium",
"Very low"
],
"type" : "string"
},
"FloodRiskBufferResult" : {
"properties" : {
"distance" : {
"type" : "number"
},
"flood_risk_description" : {
"$ref" : "#/definitions/FloodRiskBand"
}
},
"required" : [
"distance",
"flood_risk_description"
],
"type" : "object"
},
"FloodRiskCoverage" : {
"properties" : {
"high" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"low" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"medium" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
},
"very_low" : {
"$ref" : "#/definitions/FloodRiskCoverageBand"
}
},
"required" : [
"high",
"low",
"medium",
"very_low"
],
"type" : "object"
},
"FloodRiskCoverageBand" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
}
},
"required" : [
"area",
"proportion"
],
"type" : "object"
},
"FloodRiskData" : {
"properties" : {
"england" : {
"anyOf" : [
{
"$ref" : "#/definitions/EnglandFloodRiskInfo"
},
{
"type" : "null"
}
]
},
"scotland" : {
"anyOf" : [
{
"$ref" : "#/definitions/ScotlandFloodRiskInfo"
},
{
"type" : "null"
}
]
},
"wales" : {
"anyOf" : [
{
"$ref" : "#/definitions/WalesFloodRiskInfo"
},
{
"type" : "null"
}
]
}
},
"required" : [
"england",
"scotland",
"wales"
],
"type" : "object"
},
"FloodRiskNearestPoint" : {
"description" : "Location of the nearest point on a flood-risk zone.",
"properties" : {
"latitude" : {
"type" : "number"
},
"longitude" : {
"type" : "number"
},
"x_coord" : {
"type" : "number"
},
"y_coord" : {
"type" : "number"
}
},
"required" : [
"latitude",
"longitude",
"x_coord",
"y_coord"
],
"type" : "object"
},
"FloodRiskUnavailableCoverage" : {
"properties" : {
"area" : {
"type" : "number"
},
"proportion" : {
"type" : "number"
}
},
"required" : [
"area",
"proportion"
],
"type" : "object"
},
"FuelPovertyInfo" : {
"properties" : {
"local_authority" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyLocalAuthority"
},
{
"type" : "null"
}
]
},
"lower_layer_super_output_area" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyLowerLayerSuperOutputArea"
},
{
"type" : "null"
}
]
},
"region" : {
"anyOf" : [
{
"$ref" : "#/definitions/FuelPovertyRegion"
},
{
"type" : "null"
}
]
}
},
"required" : [
"local_authority",
"lower_layer_super_output_area",
"region"
],
"type" : "object"
},
"FuelPovertyLocalAuthority" : {
"properties" : {
"fuel_poor_household_count" : {
"type" : "number"
},
"fuel_poor_household_percentage" : {
"type" : "number"
},
"household_count" : {
"type" : "number"
},
"local_authority_district_code" : {
"type" : "string"
},
"local_authority_district_name" : {
"type" : "string"
}
},
"required" : [
"fuel_poor_household_count",
"fuel_poor_household_percentage",
"household_count",
"local_authority_district_code",
"local_authority_district_name"
],
"type" : "object"
},
"FuelPovertyLowerLayerSuperOutputArea" : {
"properties" : {
"fuel_poor_household_count" : {
"type" : "number"
},
"fuel_poor_household_percentage" : {
"type" : "number"
},
"household_count" : {
"type" : "number"
},
"lower_layer_super_output_area_code" : {
"type" : "string"
},
"lower_layer_super_output_area_name" : {
"type" : "string"
}
},
"required" : [
"fuel_poor_household_count",
"fuel_poor_household_percentage",
"household_count",
"lower_layer_super_output_area_code",
"lower_layer_super_output_area_name"
],
"type" : "object"
},
"FuelPovertyRegion" : {
"properties" : {
"fuel_poor_household_count" : {
"type" : "number"
},
"fuel_poor_household_percentage" : {
"type" : "number"
},
"household_count" : {
"type" : "number"
},
"region_code" : {
"type" : "string"
},
"region_name" : {
"type" : "string"
}
},
"required" : [
"fuel_poor_household_count",
"fuel_poor_household_percentage",
"household_count",
"region_code",
"region_name"
],
"type" : "object"
},
"FutureSubsidenceResult" : {
"properties" : {
"class" : {
"type" : "string"
},
"legend" : {
"type" : "string"
}
},
"required" : [
"class",
"legend"
],
"type" : "object"
},
"GreenspaceInfo" : {
"properties" : {
"greenspace_area" : {
"type" : "number"
},
"greenspace_proportion" : {
"type" : "number"
},
"nearest_greenspace_point" : {
"anyOf" : [
{
"$ref" : "#/definitions/NearestGreenspacePoint"
},
{
"type" : "null"
}
]
}
},
"required" : [
"greenspace_area",
"greenspace_proportion",
"nearest_greenspace_point"
],
"type" : "object"
},
"HistoricalClimateData" : {
"properties" : {
"average_rainfall" : {
"$ref" : "#/definitions/ClimateRanking"
},
"average_sunshine" : {
"$ref" : "#/definitions/ClimateRanking"
},
"average_temperature" : {
"$ref" : "#/definitions/ClimateRanking"
},
"highest_rainfall" : {
"$ref" : "#/definitions/ClimateRanking"
},
"highest_wind_speed" : {
"$ref" : "#/definitions/ClimateRanking"
},
"maximum_temperature" : {
"$ref" : "#/definitions/ClimateRanking"
},
[...]
